local fun = require("prototypes/functions/functions")


------------------ARTHURIANS------------------

fun.autorecipes {
    name = 'rendering-skin-arthurians',
	category = 'slaughterhouse-arthurian',
	--module_limitations = 'arthurian',
	subgroup = 'py-alienlife-arthurian',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='cagedarthurian',amount=1},
				},
			results =
				{
					{name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='cage',amount=1},
					{name='skin', amount =3},
				},
			crafting_speed = 15,
			tech = 'defective-collagen',
			name = 'Extract arthurian skin-1',
			icon = "__pyalienlifegraphics__/graphics/icons/skin.png",
			icon_size = 32,
		},
	}
}

------------------AUOGS------------------

fun.autorecipes {
    name = 'rendering-skin-auog',
	category = 'slaughterhouse-auog',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-auog',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='cagedauog',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='cage',amount=1},
					{name='skin', amount =3},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract auog skin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/skin.png",
                icon_size = 32,
		},
	}
}

------------------DHILMOS------------------

fun.autorecipes {
    name = 'rendering-skin-dhilmos',
	category = 'slaughterhouse-dhilmos',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-dhilmos',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='dhilmos',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='chitin', amount ='R'},
					{name='arthropodblood', amount ='R'},
					{name='sulfuricacid', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='chitin', amount =4},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract dhilmos chitin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/chitin.png",
                icon_size = 64,
		},
	}
}

------------------KORLEX------------------

fun.autorecipes {
    name = 'rendering-skin-korlex',
	category = 'slaughterhouse-korlex',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-korlex',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='cagedkorlex',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='cage',amount=1},
					{name='skin', amount =6},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract Korlex skin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/skin.png",
                icon_size = 32,
		},
	}
}

------------------MUKMOUX------------------

fun.autorecipes {
    name = 'rendering-skin-mukmoux',
	category = 'slaughterhouse-mukmoux',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-mukmoux',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='cagedmukmoux',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='cage',amount=1},
					{name='skin', amount =5},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract Mukmoux skin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/skin.png",
                icon_size = 32,
		},
	}
}

------------------PHADAI------------------

fun.autorecipes {
    name = 'rendering-skin-phadai',
	category = 'slaughterhouse-phadai',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-phadai',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='cagedphadai',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='carapace', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='cage',amount=1},
					{name='skin', amount =3},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract phadai Skin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/skin.png",
                icon_size = 32,
		},
	}
}

------------------PHAGNOT------------------

fun.autorecipes {
    name = 'rendering-skin-phagnot',
	category = 'slaughterhouse-phagnot',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-phagnot',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='cagedphagnot',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='cage',amount=1},
					{name='skin', amount =2},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract phagnot skin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/skin.png",
                icon_size = 32,
		},
	}
}

------------------SCRONDRIX------------------

fun.autorecipes {
    name = 'rendering-skin-scrondrix',
	category = 'slaughterhouse-scrondrix',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-scrondrix',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='cagedscrondrix',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='cage',amount=1},
					{name='skin', amount =4},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract scrondrix skin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/skin.png",
                icon_size = 32,
		},
	}
}

------------------TRITS------------------

fun.autorecipes {
    name = 'rendering-skin-trits',
	category = 'slaughterhouse-trits',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-trits',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='trits',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='skin', amount =4},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract Trits skin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/skin.png",
                icon_size = 32,
		},
	}
}

------------------ULRIC------------------

fun.autorecipes {
    name = 'rendering-skin-ulric',
	category = 'slaughterhouse-ulric',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-ulric',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='cagedulric',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='cage',amount=1},
					{name='skin', amount =3},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract Ulric skin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/skin.png",
                icon_size = 32,
		},
	}
}

------------------VONIX------------------

fun.autorecipes {
    name = 'rendering-skin-vonix',
	category = 'slaughterhouse-vonix',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-vonix',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='vonix',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='fat', amount ='R'},
					{name='chitin', amount ='R'},
					{name='arthropodblood', amount ='R'},
					{name='sulfuricacid', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='skin', amount =5},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract Vonix skin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/skin.png",
                icon_size = 32,
		},
	}
}

------------------VRAUKS------------------

fun.autorecipes {
    name = 'rendering-skin-vrauks',
	category = 'slaughterhouse-vrauks',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-vrauks',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='cagedvrauks',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='chitin', amount ='R'},
					{name='formicacid', amount ='R'},
					{name='sulfuricacid', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='cage',amount=1},
					{name='chitin', amount =2},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract Vrauks chithin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/chitin.png",
                icon_size = 64,
		},
	}
}

------------------XENOS------------------

fun.autorecipes {
    name = 'rendering-skin-xeno',
	category = 'slaughterhouse-xeno',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-xeno',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='cagedxeno',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='chitin', amount ='R'},
					{name='arthropodblood', amount ='R'},
					{name='sulfuricacid', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='cage',amount=1},
					{name='chitin', amount =5},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract xeno chitin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/chitin.png",
                icon_size = 64,
		},
	}
}
------------------ZIPIR------------------

fun.autorecipes {
    name = 'rendering-skin-zipir',
	category = 'slaughterhouse-zipir',
	--module_limitations = 'auog',
	subgroup = 'py-alienlife-zipir',
	order = 'b',
    mats =
	{
		--skin
		{
			ingredients =
				{
					{name='zipir',amount=1},
				},
			results =
				{
                    {name='bones', amount ='R'},
					{name='meat', amount ='R'},
					{name='skin', amount ='R'},
					{name='chitin', amount ='R'},
					{name='arthropodblood', amount ='R'},
					{name='sulfuricacid', amount ='R'},
					{name='fat', amount ='R'},
					{name='guts', amount ='R'},
					{name='blood', amount ='R'},
					{name='brain', amount ='R'},
					{name='skin', amount =7},
				},
                crafting_speed = 15,
                tech = 'defective-collagen',
                name = 'Extract zipir skin-1',
                icon = "__pyalienlifegraphics__/graphics/icons/skin.png",
                icon_size = 32,
		},
	}
}